Package org.lwjgl.opengl

# Class APPLEVertexProgramEvaluators

java.lang.Object
org.lwjgl.opengl.APPLEVertexProgramEvaluators

public final class APPLEVertexProgramEvaluators extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_VERTEX_ATTRIB_MAP1_APPLE`
Accepted by the <pname> parameter of EnableVertexAttribAPPLE, DisableVertexAttribAPPLE, and IsVertexAttribEnabledAPPLE.
`static final int`
`GL_VERTEX_ATTRIB_MAP1_COEFF_APPLE`
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.
`static final int`
`GL_VERTEX_ATTRIB_MAP1_DOMAIN_APPLE`
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.
`static final int`
`GL_VERTEX_ATTRIB_MAP1_ORDER_APPLE`
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.
`static final int`
`GL_VERTEX_ATTRIB_MAP1_SIZE_APPLE`
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.
`static final int`
`GL_VERTEX_ATTRIB_MAP2_APPLE`
Accepted by the <pname> parameter of EnableVertexAttribAPPLE, DisableVertexAttribAPPLE, and IsVertexAttribEnabledAPPLE.
`static final int`
`GL_VERTEX_ATTRIB_MAP2_COEFF_APPLE`
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.
`static final int`
`GL_VERTEX_ATTRIB_MAP2_DOMAIN_APPLE`
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.
`static final int`
`GL_VERTEX_ATTRIB_MAP2_ORDER_APPLE`
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.
`static final int`
`GL_VERTEX_ATTRIB_MAP2_SIZE_APPLE`
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDisableVertexAttribAPPLE(int index, int pname)`
`static void`
`glEnableVertexAttribAPPLE(int index, int pname)`
`static boolean`
`glIsVertexAttribEnabledAPPLE(int index, int pname)`
`static void`
`glMapVertexAttrib1dAPPLE(int index, int size, double u1, double u2, int stride, int order, DoubleBuffer points)`
`static void`
`glMapVertexAttrib1fAPPLE(int index, int size, float u1, float u2, int stride, int order, FloatBuffer points)`
`static void`
`glMapVertexAttrib2dAPPLE(int index, int size, double u1, double u2, int ustride, int uorder, double v1, double v2, int vstride, int vorder, DoubleBuffer points)`
`static void`
`glMapVertexAttrib2fAPPLE(int index, int size, float u1, float u2, int ustride, int uorder, float v1, float v2, int vstride, int vorder, FloatBuffer points)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTEX_ATTRIB_MAP1_APPLE

public static final int GL_VERTEX_ATTRIB_MAP1_APPLE
Accepted by the <pname> parameter of EnableVertexAttribAPPLE, DisableVertexAttribAPPLE, and IsVertexAttribEnabledAPPLE.

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_MAP2_APPLE

public static final int GL_VERTEX_ATTRIB_MAP2_APPLE
Accepted by the <pname> parameter of EnableVertexAttribAPPLE, DisableVertexAttribAPPLE, and IsVertexAttribEnabledAPPLE.

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_MAP1_SIZE_APPLE

public static final int GL_VERTEX_ATTRIB_MAP1_SIZE_APPLE
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_MAP1_COEFF_APPLE

public static final int GL_VERTEX_ATTRIB_MAP1_COEFF_APPLE
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_MAP1_ORDER_APPLE

public static final int GL_VERTEX_ATTRIB_MAP1_ORDER_APPLE
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_MAP1_DOMAIN_APPLE

public static final int GL_VERTEX_ATTRIB_MAP1_DOMAIN_APPLE
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_MAP2_SIZE_APPLE

public static final int GL_VERTEX_ATTRIB_MAP2_SIZE_APPLE
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_MAP2_COEFF_APPLE

public static final int GL_VERTEX_ATTRIB_MAP2_COEFF_APPLE
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_MAP2_ORDER_APPLE

public static final int GL_VERTEX_ATTRIB_MAP2_ORDER_APPLE
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_MAP2_DOMAIN_APPLE

public static final int GL_VERTEX_ATTRIB_MAP2_DOMAIN_APPLE
Accepted by the <pname> parameter of GetVertexAttribdvARB, GetVertexAttribfvARB, and GetVertexAttribivARB.

See Also:
  - Constant Field Values

## Method Details

### glEnableVertexAttribAPPLE

public static void glEnableVertexAttribAPPLE(int index, int pname)

### glDisableVertexAttribAPPLE

public static void glDisableVertexAttribAPPLE(int index, int pname)

### glIsVertexAttribEnabledAPPLE

public static boolean glIsVertexAttribEnabledAPPLE(int index, int pname)

### glMapVertexAttrib1dAPPLE

public static void glMapVertexAttrib1dAPPLE(int index, int size, double u1, double u2, int stride, int order, DoubleBuffer points)

### glMapVertexAttrib1fAPPLE

public static void glMapVertexAttrib1fAPPLE(int index, int size, float u1, float u2, int stride, int order, FloatBuffer points)

### glMapVertexAttrib2dAPPLE

public static void glMapVertexAttrib2dAPPLE(int index, int size, double u1, double u2, int ustride, int uorder, double v1, double v2, int vstride, int vorder, DoubleBuffer points)

### glMapVertexAttrib2fAPPLE

public static void glMapVertexAttrib2fAPPLE(int index, int size, float u1, float u2, int ustride, int uorder, float v1, float v2, int vstride, int vorder, FloatBuffer points)